Bug 219649 - [NEW PORT] databases/postgresql-zhparser: PostgreSQL extension for full-text search of Chinese
Summary: [NEW PORT] databases/postgresql-zhparser: PostgreSQL extension for full-text ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on: 219132
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-30 02:54 UTC by Jov
Modified: 2017-07-17 10:21 UTC (History)
2 users (show)

See Also:


Attachments
postgresql-zhparser.shar (2.18 KB, text/plain)
2017-05-30 02:54 UTC, Jov
no flags Details
postgresql-zhparser.shar (2.20 KB, text/plain)
2017-05-31 10:27 UTC, Jov
no flags Details
postgresql-zhparser.sha (2.28 KB, text/plain)
2017-07-06 03:37 UTC, Jov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jov 2017-05-30 02:54:01 UTC
Created attachment 183050 [details]
postgresql-zhparser.shar

this port depends on https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=219132

Zhparser is a PostgreSQL extension for full-text search of Chinese. It use
Simple Chinese Word Segmentation (SCWS) as driver and highly configurable and
easy to use. The default dictionary of Zhparser is for Simplified Chinese. If
you use Tranditional Chinese,you can download the dicionary from SCWS offical
site.

WWW: https://github.com/amutu/zhparser
Comment 1 Po-Chuan Hsieh freebsd_committer 2017-05-30 03:33:31 UTC
FYI. You could use "Depends on" to register dependencies among PRs.
Comment 2 Jov 2017-05-31 10:27:29 UTC
Created attachment 183092 [details]
postgresql-zhparser.shar

add WANT_PGSQL=	server,the USES pgsql:version only add client depend.
Comment 3 Jov 2017-07-06 03:37:35 UTC
Created attachment 184105 [details]
postgresql-zhparser.sha

add strip
Comment 4 Torsten Zuehlsdorff freebsd_committer 2017-07-17 10:20:57 UTC
Committed, thanks! :)
Comment 5 commit-hook freebsd_committer 2017-07-17 10:21:03 UTC
A commit references this bug:

Author: tz
Date: Mon Jul 17 10:20:43 UTC 2017
New revision: 446061
URL: https://svnweb.freebsd.org/changeset/ports/446061

Log:
  New port: databases/postgresql-zhparser

  Zhparser is a PostgreSQL extension for full-text search of Chinese. It use
  Simple Chinese Word Segmentation (SCWS) as driver and highly configurable and
  easy to use. The default dictionary of Zhparser is for Simplified Chinese. If
  you use Tranditional Chinese,you can download the dicionary from SCWS offical
  site.

  WWW: https://github.com/amutu/zhparser

  PR:           219649
  Submitted by: Jov <amutu@amutu.com>

Changes:
  head/databases/Makefile
  head/databases/postgresql-zhparser/
  head/databases/postgresql-zhparser/Makefile
  head/databases/postgresql-zhparser/distinfo
  head/databases/postgresql-zhparser/pkg-descr